Страница 1 из 1

Установка Samba - ошибка

Добавлено: 2007-12-14 15:57:36
aka

Код: Выделить всё

ldap# cd /usr/ports/net/samba3
ldap# make install clean
===>  samba-3.0.26a_2,1 is forbidden: http://vuxml.freebsd.org/ffcbd42d-a8c5-11dc-bec2-02e0185f8d72.html.
*** Error code 1

Stop in /usr/ports/net/samba3.
ldap# 
такая ошибка. Открыл указанную ссылку, нашел инфу, что версии < 3.0.28,1 имеют buffer overflow vulnerability

В итоге скачал с samba.org последнюю версии и поставил, но вопрос к гуру - что нужно делать в парадигме юзания portsnap и прочая? Сможет ли мне помочь cvsup? Или я поступил единственно правильным и возможным образом?

С уважением Ринат

Re: Установка Samba - ошибка

Добавлено: 2007-12-14 19:49:54
Alex Keda
была соседняя тема - какую переменную заюзать.
а вообще - если на родном сайте есть нормальная - в течение пары дней обновят - серьёзные приложения быстро обновляют.

Re: Установка Samba - ошибка

Добавлено: 2007-12-15 23:28:56
aka
Установить уязвимую можно закоментарив строчку FORBIDDEN= в makefile. Временно поюзаю, как новая появится - обновлю...